package nstaclient

import (
	"io"
	"time"
)

type ClientSettings struct {
	GearmanAddress string
	SatelliteID    int
	APIKey         string
	NagiosPath     string

	// Push

	Endpoint          string
	Proxy             string
	VerifyCertificate bool
	PushInterval      time.Duration
	InstantPush       bool

	// Pull

	AccessLogWriter       io.Writer
	WebserverAddressHTTP  string
	WebserverAddressHTTPS string
	CertFile              string
	KeyFile               string
}
